com.saxonica.schema

## Class AssertionFacet

- java.lang.Object
- - com.saxonica.schema.Facet
  - - com.saxonica.schema.AssertionFacet

- All Implemented Interfaces:
    Serializable

      public class AssertionFacet
      extends Facet

  Represents an assertion facet on a schema-defined simple type.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertionFacet(Assertion assertion)` Create a assertion facet

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
    `FunctionItem` | `getFacetAsFunctionItem()` Get a function item that represents this Facet schema component.
    `String` | `getName()` Returns the name of this Facet
    `String` | `getValue()` Returns the lexical representation of the value of this facet
    `void` | `serializeFacet(SchemaModelSerializer serializer)` Serialize this facet
    `boolean` | `testAtomicValue(AtomicValue value)` Test whether an atomic value conforms to this facet
    `boolean` | `testAtomicValue(AtomicValue value, ConversionRules validationContext)` Test whether an atomic value conforms to this facet
    `boolean` | `testListValue(AtomicSequence value)` Test whether a list value conforms to this facet.
    `boolean` | `testListValue(AtomicSequence value, ConversionRules rules)` Test whether a list value conforms to this facet.

    - ### Methods inherited from class com.saxonica.schema.Facet

      `getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, setFixed, setMessage, testLength, toLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertionFacet

          public AssertionFacet(Assertion assertion)

      Create a assertion facet
      Parameters:
        `assertion` - the assertion

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from class: `Facet`
      Returns the name of this Facet
      Specified by:
        `getName` in class `Facet`
      Returns:
        the name of this Facet

    - #### getValue

          public String getValue()

      Description copied from class: `Facet`
      Returns the lexical representation of the value of this facet
      Specified by:
        `getValue` in class `Facet`
      Returns:
        the value of this facet, as a string

    - #### checkFacetRestriction

          public void checkFacetRestriction(UserSimpleType type,
                                   SimpleType base,
                                   SchemaCompiler compiler)
                                     throws SchemaException

      Check that this facet is legal when used on a type derived by restriction
      Overrides:
        `checkFacetRestriction` in class `Facet`
      Parameters:
        `type` - the derived type
        `base` - the type from which the restricted type is derived
        `compiler` - the schema compiler
      Throws:
        `SchemaException` - if the facet is not legal

    - #### testAtomicValue

          public boolean testAtomicValue(AtomicValue value)

      Test whether an atomic value conforms to this facet
      Specified by:
        `testAtomicValue` in class `Facet`
      Parameters:
        `value` - the value to be tested
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### testAtomicValue

          public boolean testAtomicValue(AtomicValue value,
                                ConversionRules validationContext)

      Test whether an atomic value conforms to this facet
      Parameters:
        `value` - the value to be tested
        `validationContext` - includes values of validation parameters (as declared using saxon:param)
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### testListValue

          public boolean testListValue(AtomicSequence value)

      Test whether a list value conforms to this facet. This is used only for the enumeration and assertion facets.
      Overrides:
        `testListValue` in class `Facet`
      Parameters:
        `value` - the value to be tested
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### testListValue

          public boolean testListValue(AtomicSequence value,
                              ConversionRules rules)

      Test whether a list value conforms to this facet. This is used only for the enumeration and assertion facets.
      Parameters:
        `value` - the value to be tested
        `rules` - context information including values of validation parameters
      Returns:
        true if the value conforms; false if it doesn't conform, or if the test fails

    - #### serializeFacet

          public void serializeFacet(SchemaModelSerializer serializer)
                              throws XPathException

      Serialize this facet
      Overrides:
        `serializeFacet` in class `Facet`
      Parameters:
        `serializer` - receives the content for serialization
      Throws:
        `XPathException` - if an error occurs writing the value to the output

    - #### getFacetAsFunctionItem

          public FunctionItem getFacetAsFunctionItem()

      Description copied from class: `Facet`
      Get a function item that represents this Facet schema component.
      Specified by:
        `getFacetAsFunctionItem` in class `Facet`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.